Permalink
Browse files

Finished bumping version to 5.3 and bumped from 5.3.2 to 5.3.3 due to…

… an issue in 5.3.3. Composer cannot install from PEAR repositories with a hyphen due to a bug in the filter extension of PHP 5.3.2 (https://bugs.php.net/bug.php?id=51192)
  • Loading branch information...
1 parent c6e3f1e commit baa4c11a30e39d07d5f39c86800ae269d65f2641 @mvriel mvriel committed Apr 27, 2012
View
@@ -1,6 +1,6 @@
language: php
php:
- - 5.3.2
+ - 5.3.3
- 5.3
- 5.4
@@ -12,5 +12,4 @@ before_script:
- pyrus install -f -p pyrus/Pyrus_Developer
- pyrus install -f pear2.php.net/PEAR2_Exception
- wget http://getcomposer.org/composer.phar
- - php -r "var_dump(filter_var('http://pear.symfony-project.com/', FILTER_VALIDATE_URL));"
- php composer.phar install
View
@@ -32,7 +32,7 @@ Requirements
phpDocumentor requires the following:
-* PHP 5.3.2 or higher
+* PHP 5.3.3 or higher
* iconv/ext, http://php.net/manual/en/book.iconv.php (is enabled by default since PHP 5.0.0)
* The XSL extension, http://www.php.net/manual/en/book.xsl.php
* Graphviz (optional, used for generating Class diagrams)
View
@@ -17,7 +17,7 @@
{ "type":"git", "url":"http://github.com/phpDocumentor/template.responsive" }
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"ext-xsl": "*",
"dflydev/markdown": "1.0.*",
"pear-symfony/EventDispatcher": "1.*",
View

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.
@@ -64,7 +64,7 @@ tags but use namespaces to identify the type of code.
The following format is used:
-.. code-block::
+.. code-block:: php
\phpDocumentor\[Component]\[optional Subcomponent]
@@ -12,8 +12,7 @@ documentation, such as PDFs or Graphs. If a dependency is only
limited to a subset of features it is denoted with the dependency
entry below.
-- PHP 5.2.6 or higher (5.2.5 and lower might work but is not supported, 5.3
- is explicitly supported)
+- PHP 5.3.2
- XSL extension for PHP, only applicable when generating HTML via
XSL (recommended)
- Graphviz, only applicable when generating Graphs (recommended)
@@ -12,11 +12,6 @@
* @link http://phpdoc.org
*/
-if (!defined('T_NAMESPACE')) {
- /** @var int This constant is PHP 5.3+, but is necessary for correct parsing */
- define('T_NAMESPACE', 377);
-}
-
/**
* Reflection class for a full file.
*
@@ -12,11 +12,6 @@
* @link http://phpdoc.org
*/
-if (!defined('T_NS_SEPARATOR')) {
- /** @var int This constant is PHP 5.3+, but is necessary for correct parsing */
- define('T_NS_SEPARATOR', 380);
-}
-
/**
* Parses an interface definition.
*

0 comments on commit baa4c11

Please sign in to comment.